# Bluemoon

## Open source, privacy friendly menstruation tracking app

Bluemoon is an open source menstruation tracker with privacy features out of the box. Your data never leaves your device and is only saved locally.


![Alt text](header.png?raw=true "Header")

## Installation

One can find a current version of the app either on F-droid or on Google Play

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
alt="Get it on F-Droid"
height="80">](https://f-droid.org/packages/ch.nilsgrob.android.bluemoon/)
[<img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png"
alt="Get it on Google Play" height="80">](https://play.google.com/store/apps/details?id=ch.nilsgrob.android.bluemoon&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1)

## Support
If you encountered any problems with the app please let us know so we can improve the application further. You can open a issue here on gitlab.

## Roadmap
Some of the features planned in the future are listed below:

- [x] Predict upcoming periods based on previous
- [x] Backup / restore functionality 
- [ ] Import from commercial apps
- [ ] Reminders for tracking period
- [ ] Statistics overview for cycles
- [ ] Fertility tracking possibility with the NFP rule.

## Contributing
Any contributions are welcome. See the issue page for tasks which could be done. You can open an merge request at any time.

## Authors and acknowledgment
The app was initially created and bootstrapped by Nils Grob.

## License
The project is licenced under the GNU GPLv3 license.

## Project status
The project hit it's first release on december 2023.

